Bug 1992714 - use existing pvc hotplug crashes
Summary: use existing pvc hotplug crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: aviv turgeman
QA Contact: Leon Kladnitsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-11 15:52 UTC by aviv turgeman
Modified: 2021-10-18 17:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
modal_crash_pvc_hotplug (457.59 KB, image/gif)
2021-08-11 15:52 UTC, aviv turgeman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9787 0 None None None 2021-08-11 16:08:23 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:14 UTC

Description aviv turgeman 2021-08-11 15:52:20 UTC
Created attachment 1813207 [details]
modal_crash_pvc_hotplug

Description of problem:
when trying to create a hotplug disk via UI with 'Existing PVC' as source, the modal crashes when trying to add it

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. have a running VM
2. go to disks tab and click on add disk
3. change source to 'Existing PVC' and choose any pvc on the list
4. click add

Actual results:
modal crashes (a video is attached) 

Expected results:
should create the hotplug successfully

Additional info:

Comment 2 Leon Kladnitsky 2021-08-24 13:35:25 UTC
Works as expected on 4.9

Comment 5 errata-xmlrpc 2021-10-18 17:45:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.